Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.l10n.jsp.taglib
Class ForwardTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.netuix.servlets.l10n.jsp.taglib.L10nTagSupport
              com.bea.netuix.servlets.l10n.jsp.taglib.ForwardTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use l10n.L10nResourceManager.resolve() and BackingContext.sendRedirect() (if inside a portal) or Response.sendRedirect (otherwise) instead.

    public class ForwardTag

extends L10nTagSupport

Forwards to the given page URL. The behavior of this tag is similar to the `jsp:forward` tag, except for the locale.

This tag searches for a localized version of the page URL based on the current locale. If there is no locale set, this tag uses the locale from the HTTP request headers.

This tag cannot be used within a jsp on a portal page. By the time the jsp is rendered, the response has already been committed. In that case, using this tag will result in a java.lang.IllegalStateException.

In order to use this functionality within a portal, use com.bea.netuix.servlets.l10n.L10nResourceManager.resolve() and com.bea.netuix.servlets.controls.BackingContext.sendRedirect().

See Also
  `com.bea.netuix.servlets.l10n.L10nResourceManager.resolve()`, `com.bea.netuix.servlets.controls.BackingContext.sendRedirect()`, Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ForwardTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated

Methods inherited from class com.bea.netuix.servlets.l10n.jsp.taglib.L10nTagSupport
`getCountry, getLanguage, getPage, getVariant, release, resolve, setCountry, setLanguage, setPage, setVariant`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardTag

    public ForwardTag()

  Deprecated

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.